import { RolesAndPermissionsServiceInterface } from '../interfaces/roles-and-permissions-service.interface';
/**
 * Provides user roles and permissions related functions.
 */
export declare class RolesAndPermissionsService implements RolesAndPermissionsServiceInterface<object> {
    /**
     * Returns true, if the given user is authorized.
     *
     * @param user
     */
    isAuthorized(user: object): boolean;
    /**
     * Checks if the given user has only read permissions.
     *
     * @param user
     */
    hasOnlyReadPermissions(user: object): boolean;
    /**
     * Checks if the given user has write permissions.
     *
     * @param user
     */
    hasWritePermissions(user: object): boolean;
}
